File: 08subreq.t

package info (click to toggle)
libcatalyst-plugin-static-simple-perl 0.36-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster
  • size: 384 kB
  • sloc: perl: 2,629; makefile: 2
file content (24 lines) | stat: -rw-r--r-- 568 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
#!perl

use strict;
use warnings;

use FindBin;
use lib "$FindBin::Bin/lib";

use Test::More tests => 2;
use Catalyst::Test 'TestApp';

SKIP:
{
    unless ( TestApp->isa('Catalyst::Plugin::SubRequest') ) {
        skip "Install Catalyst::Plugin::SubRequest >= 0.15 for these tests", 2;
    }
    unless ( $Catalyst::Plugin::SubRequest::VERSION >= 0.15 ) {
        skip "Need Catalyst::Plugin::SubRequest >= 0.15 for these tests", 2;
    }

    ok( my $res = request('http://localhost/subtest'), 'Request' );
    is( $res->content, 'subtest2 ok', 'SubRequest ok' );
}